package com.jy.flow.model.dto;

import cn.hutool.core.util.ObjectUtil;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import lombok.Setter;
import org.dromara.warm.flow.orm.entity.FlowHisTask;

@Setter
public class FlowHisTaskDto extends FlowHisTask {

    /**
     * 页数
     */
    private Integer pageNum;

    /**
     * 每页条数
     */
    private Integer pageSize;

    /**
     * 返回分页实体
     */
    public <T> Page<T> getPage() {
        return new Page<>(getPageNum(), getPageSize());
    }

    public Integer getPageNum() {
        return ObjectUtil.defaultIfNull(pageNum, 1);
    }

    public Integer getPageSize() {
        return ObjectUtil.defaultIfNull(pageSize, 10);
    }

}
